Imports System.Math


Module modLocalizeVisualLMsSimulated

    Sub subFindLmSimulated()
        Try
            Dim tmcStartLocation As typeMapCoordinate = tbpBotPose.Location
            Dim tmcEndLocation As typeMapCoordinate
            Dim tmcCurrentPoint As typeMapCoordinate
            For sngRelativeAngle As Single = -sngCameraFOV / 2 To sngCameraFOV / 2 Step 0.1
                tmcEndLocation = ftnLocationFromEstimatedPose(tbpBotPose, sngRelativeAngle, 180)
                tmcCurrentPoint = ftnFirstPointOnLine(tmcStartLocation, tmcEndLocation)
                While Not ftnLocationsEqual(tmcCurrentPoint, tmcEndLocation) And Not ftnLocationOnMapEdge(tmcCurrentPoint)
                    For intLmNumber = 0 To 127
                        If ftnLocationsEqual(tmcCurrentPoint, tlmLandMarkArray(intLmNumber).LandMarkLocation) Then

                        End If
                    Next intLmNumber
                    tmcCurrentPoint = ftnNextPointOnLine(tmcCurrentPoint)
                End While
            Next sngRelativeAngle

        Catch ex As Exception
            frmDebug.subWriteLogs(" EXCEPTION In subFindLmSimulated :  " & ex.ToString)
        End Try
    End Sub


End Module
